<?php //ICB0 81:0 82:c16a                                                     ?><?php //08cb1
// LINKNACIONAL END USER LICENSE AGREEMENT
// 
// IMPORTANT: THIS SOFTWARE END-USER LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN YOU (EITHER INDIVIDUALLY OR COLLECTIVELY ON BEHALF OF YOUR BUSINESS ENTITY) AND LINKNACIONAL LIMITED. READ IT CAREFULLY BEFORE COMPLETING THE INSTALLATION PROCESS AND USING THE SOFTWARE.  AMONG OTHER PROVISIONS, IT PROVIDES A LICENSE TO USE THE SOFTWARE AND CONTAINS TERMINATION AND WARRANTY INFORMATION AND LIABILITY DISCLAIMERS. BY INSTALLING AND USING THE SOFTWARE, YOU CONFIRM YOUR ACCEPTANCE OF THE SOFTWARE AND YOU AGREE TO BE BOUND BY THE TERMS OF THIS EULA.  IF YOU DO NOT AGREE TO BE BOUND BY THESE TERMS, THEN DO NOT INSTALL THE SOFTWARE AND RETURN THE SOFTWARE TO YOUR WEBSITE OR PLACE OF PURCHASE FOR A FULL REFUND.  CONTINUED USE OF THIS SOFTWARE SIGNIFIES YOUR CONTINUED ACCEPTANCE OF THESE TERMS AND ANY FUTURE CHANGES TO THEM.
// 
// 
// 1.	 Definitions.
// 
// 1.1	“Activated” has the meaning given in Section 2.4.2.
// 
// 1.2	“Agreement” means both the EULA and the Pricing and Term Agreement.
// 
// 1.3	“Applicable Law” means applicable international, federal, state or local laws, statutes, ordinances, regulations or court orders.
// 
// 1.4	“Beta Version” means any version of the Software released by LINKNACIONAL for testing as determined by LINKNACIONAL in its sole discretion.
// 
// 1.5	“Effective Date” has the meaning given in the Pricing and Term Agreement.
// 
// 1.6	 “EULA” means this End-User License Agreement.
// 
// 1.7	“Intellectual Property Rights” means trade secret rights, rights in know-how, moral rights, copyrights, patents, trademarks (and the goodwill represented thereby), and similar rights of any type under the laws of any governmental authority, domestic or foreign, including all applications for and registrations of any of the foregoing.
// 
// 1.8	“Pricing and Term Agreement” means, as applicable, (a) the Pricing and Term Agreement entered into between You and LINKNACIONAL in connection with the license of the Software which sets forth (among other things) pricing, term and payment provisions of this Agreement; (b) the pricing and payment provisions located at www.linknacional.com.br (or such other URL as LINKNACIONAL may designate from time to time); and/or (c) the pricing and payment provisions of any agreement between You and a LINKNACIONAL reseller (or other third party authorized to grant You the license) pursuant to which You obtained a license to use the Software.  The Pricing and Term Agreement is hereby incorporated by reference and made a part of this Agreement as though fully set forth herein.
// 
// 1.9	“Software” means the LINKNACIONAL software program(s) supplied by LINKNACIONAL together with this Agreement, and corresponding documentation, source code, object code, Updates, user interfaces (including without limitation any web-based interfaces), printed materials and online or electronic documentation, excluding any third party components.
// 
// 1.10	“Term” means the term of this Agreement as set forth by the term of the license obtained by You (a) in connection with the Pricing and Term Agreement; or (b) from a LINKNACIONAL reseller or other third party authorized to grant You the license.
// 
// 1.11	“Territory” means the world, except to the extent that use or distribution of the Software in certain countries or regions would cause either party to violate Section 9.13 (Export Controls).
// 
// 1.12	“Trademarks” means all domestic and international trademarks, service marks, logos, trade names, trade dress, including all goodwill represented by each of the foregoing, whether registered or unregistered, of LINKNACIONAL including without limitation, LINKNACIONAL and the LINKNACIONAL logo. LINKNACIONAL may add to the foregoing nonexclusive list of Trademarks in its sole discretion from time to time.
// 
// 1.13	“Third Party Users” and “Licensee” both mean, as applicable, (i) an authorized third-party end user of the Software who obtained a Software License from You, or (ii) You.
// 
// 1.14	“Updates” means any bug fixes, patches and other modifications of the Software provided to You by LINKNACIONAL.
// 
// 1.15	“Virtual Private Server” means a virtual server operating on a single physical server upon which multiple virtual servers may operate.
// 
// 1.16	“You” or “Your” means or refers to the individual or entity entering into this Agreement with LINKNACIONAL, whether or not such terms are capitalized in this Agreement.
// 
// 1.17	 “LINKNACIONAL” means LINKNACIONAL Limited.
// 
// 1.18	“LINKNACIONAL Anonymous Usage Data” means all data collected by LINKNACINOAL in connection with the use of the Software by You or any Third Party Users, including (a) the licensed or unlicensed status of the Software; (b) the source from which the license for the Software was obtained; and (c) information about the hardware upon which the Software is installed including (i) the public IP address, (ii) the operating system, (iii) web server version, (iv) the use of any virtualization technologies on such server, and (v) data utilized to prevent and combat various server attacks by hackers or their hardware, including but not limited to assaults such as spam attacks, brute force attacks, dictionary attacks, phishing, pharming, and the like. Additionally, “LINKNACIONAL Anonymous Usage Data” may also include information collected by LINKNACIONAL from time to time concerning which features of the Software are most often used in order to improve and make adjustments to the Software, including, but not
//  limited to the number of active modules, PHP version, mySQL version, installed PHP extensions, installed add-on modules, template utilization, and the number of active administrators, domains, servers, and active clients.
// 
// 2.	 License.
// 
// 2.1	License Grant.  During the Term, solely within the Territory and subject to the terms and conditions of this Agreement, LINKNACIONAL grants You a limited, non-exclusive, license to (a) install and use the Software and (b) make a single back-up copy of the registered Software for archival purposes.  The foregoing license is revocable, non-transferable, non-assignable and non-sub-licensable.
// 
// 2.2	License Transfers. The Software is licensed only to You. You may not rent, lease, sub-license, sell, assign, pledge, transfer or otherwise dispose of the Software, on a temporary or permanent basis, without the prior written consent of LINKNACIONAL Limited. (For the avoidance of doubt, this license is only granted to one person or company and if more than one person or company wishes to use the Software, each user must purchase a separate license).
// 
// 2.3	Restrictions of Use.
// 
// 2.3.1	  Installation of Software Package.  The Software is licensed as a single product and none of the components in the Software may be separated for installation or use.
// 
// 2.3.2	  Single Domain.  This Software is licensed to operate on only one domain.
// 
// 2.3.3	  Back-Up Copy.  All backup copies must be an exact copy of the original Software.  If You make a back-up copy of the Software, such copy must be in machine-readable form and You must reproduce on such copy all Intellectual Property Right notices and any other proprietary legends on the original copy of the Software.
// 
// 2.3.4	  No Derivative Works; Reverse Engineering.  You may not alter, merge, modify, prepare derivative works based upon, adapt or translate the Software in any manner whatsoever.  Additionally, You may not decompile, reverse engineer, disassemble, or otherwise reduce the Software to any human-readable form, or use the Software to develop any application having the same primary functions as the Software.
// 
// 2.4	Monitoring of Software.
// 
// 2.4.1	  Audit by LINKNACIONAL.  You agree that LINKNACIONAL may audit Your use of the Software for compliance with this Agreement at any time, upon reasonable notice.  You agree to cooperate with LINKNACIONAL and any auditors selected by LINKNACIONAL to complete the audit including by providing access to any facilities in which the Software is used or stored, including without limitation the facilities which house the hardware upon which the Software is installed.  In the event that such audit reveals any use of the Software by You other than in compliance with the terms of this Agreement, You shall reimburse LINKNACIONAL for all reasonable expenses related to such audit in addition to any other liabilities You may incur as a result of such noncompliance.
// 
// 2.4.2	   Authentication System.  The Software contains technological measures that, working in conjunction with LINKNACIONAL computer servers, are designed to prevent unlicensed or illegal use of the Software (collectively, the “Authentication System”).  You acknowledge and agree that such Authentication System allows LINKNACIONAL to (among other things) (a) monitor use of the Software by You as set forth in Section 2.4.3 (LINKNACIONAL Anonymous Usage Data); (b) suspend or disable access to the Software in whole or in part in the event of a breach of this Agreement; and (c) terminate use of the Software upon the expiration or termination of this Agreement.  You agree not to thwart, interfere with, circumvent or block the operation of any aspect of the Authentication System, including any communications between the Software and LINKNACIONAL’s computer servers.  For the avoidance of doubt, the Software will not operate unless LINKNACIONAL from time to time verifies the Software using the Authentication S
// ystem which requires the exchange of information between You and LINKNACIONAL over the Internet.
// 
// 2.4.3	  LINKNACIONAL Anonymous Usage Data.  You agree that, without further notice to You, LINKNACIONAL may use technological means to (a) monitor use of the Software as may be necessary to monitor for compliance with the terms of this Agreement; and (b) collect LINKNACIONAL Anonymous Usage Data.  LINKNACIONAL reserves the right to copy, access, store, disclose and use LINKNACIONAL Usage Data indefinitely in its sole discretion; provided, however, that in the event that LINKNACIONAL collects information concerning which features of the Software are most often used by You, LINKNACIONAL will remove personally identifiable information (if any) from such data and copy, access, store, disclose and use such data solely for the purpose of improving the Software.
// 
// 2.5	 Data Protection Act 1998.  LINKNACIONAL Limited undertakes to comply with the provisions of the Data Protection Act 1998 and any related legislation in so far as the same relates to the provision of the Software and related support services by LINKNACIONAL Limited to You.  Your name, address and other personal information as well as any personal data You supply to LINKNACIONAL Limited in order for LINKNACIONAL to provide the Software and related services related to You will be stored by LINKNACIONAL Limited on its computer system and may be made available to LINKNACIONAL staff and related third parties as required to allow the provision of support and any related services to be completed. Any third party that receives personal data from LINKNACIONAL Limited is under an obligation to process such personal data in line with the Data Protection Act 1998.
// 
// 2.6	Updates.  The Software may automatically download and install updates from time to time from LINKNACIONAL. These updates are designed to improve, enhance and further develop the Software and may take the form of bug fixes, enhanced functions, new software modules, completely new versions and additional products and services offered through or from the Software.  You agree to receive such updates (and permit LINKNACIONAL to deliver these to You) as a condition to Your use of the Software.
// 
// 2.7	License Exchange.  You agree that this Agreement shall supersede any prior End-User License Agreement and between You and LINKNACIONAL applicable to the Software and that such prior End-User License Agreement is hereby terminated if (a) You previously purchased a license for the Software and are now purchasing a new license for the Software so that You may obtain additional technical support or updates during the Term of this Agreement; or (b) the copy of the Software You licensed with this Agreement is an upgrade to an earlier version of the Software.  You may not continue to use the earlier version of the Software or transfer it to another person or entity.
// 
// 3.	 Intellectual Property Rights.
// 
// 3.1	Ownership.  LINKNACIONAL owns all right, title and interest, including all Intellectual Property Rights, in and to, (a) the Software; (b) the Trademarks; (c) LINKNACIONAL Anonymous Usage Data; and (d) any and all Submissions (collectively, “LINKNACIONAL IP Rights”).
// 
// 3.2	Trademarks; Domain Names.  This Agreement does not authorize You to use the Trademarks.  If You wish to use the Trademarks, You must obtain a written license to use the Trademarks from LINKNACIONAL.  Additionally, You will not (a) assert any Intellectual Property Right in the Trademarks or in any element, derivation, adaptation, variation or name thereof; (b) contest the validity of any of the Trademarks; (c) contest LINKNACIONAL’s ownership of any of the Trademarks; or (d) in any jurisdiction, adopt, use, register, or apply for registration of, whether as a corporate name, trademark, service mark or other indication of origin, or as a domain name or sub-domain name, any trademarks, or any word, symbol or device, or any combination confusingly similar to, or which incorporates in whole or in part, any of the Trademarks.
// 
// 3.3	No Implied License or Ownership.  Nothing in this Agreement or the performance thereof, or that might otherwise be implied by law, will operate to grant You any right, title or interest, implied or otherwise, in or to the LINKNACIONAL IP Rights.
// 
// 3.4	No Contest.  You acknowledge and agree that the LINKNACIONAL IP Rights are and shall remain the sole and exclusive property of LINKNACIONAL.  You agree that You shall never oppose, seek to cancel, or otherwise contest LINKNACIONAL’s ownership of the LINKNACIONAL IP Rights or act in any manner that would or might conflict with or compromise LINKNACIONAL’s ownership of the LINKNACIONAL IP Rights, or similarly affect the value of the LINKNACIONAL IP Rights.  Whenever requested by LINKNACIONAL, You shall execute such documents as LINKNACIONAL may deem necessary or appropriate to confirm, maintain or perfect LINKNACIONAL’s ownership of the LINKNACIONAL IP Rights.  In the event LINKNACIONAL is unable, after using its reasonable endeavours (which shall not require LINKNACIONAL to incur any costs), to secure Your signature on any document or documents needed to apply for or to confirm, maintain or perfect LINKNACIONAL’s ownership of the LINKNACIONAL IP Rights for any other reason whatsoever, You hereby i
// rrevocably designate and appoint LINKNACIONAL as Your duly authorized attorney-in-fact, to act for and on Your behalf and stead to execute and sign any document or documents and to do all other lawfully permitted acts to confirm, maintain or perfect LINKNACIONAL’s ownership of the LINKNACIONAL IP Rights with the same legal force and effect as if executed by You.  In the event You become aware that any third party is, or may be, infringing the LINKNACIONAL IP Rights, You agree to notify LINKNACIONAL of such fact.
// 
// 3.5	Proprietary Notices.  Third party trademarks, trade names, product names and logos included in the Software may be the trademarks or registered trademarks of their respective owners.  You may not remove or alter any trademark, trade names, product names, logo, copyright or other proprietary notices, legends, symbols or labels in the Software.
// 
// 3.6	Submissions.  With respect to any feedback, suggestions or ideas (“Submissions”) that You submit to LINKNACIONAL concerning the Software, or any of LINKNACIONAL’s products or services, You agree that: (a) Your Submissions will automatically become the property of LINKNACIONAL, without any compensation to You; (b) LINKNACIONAL may use or redistribute the Submissions for any purpose and in any way; (c) LINKNACIONAL is not obligated to review any Submissions; and (d) LINKNACIONAL is not obligated to keep any Submissions confidential. In addition, any illegal, lewd, abusive, profane or otherwise disturbing submissions by You shall constitute a material breach of this Agreement giving rise to LINKNACIONAL’s termination rights in Section 5.2.
// 
// 4.  Payments & Refunds.
// 
// 4.1	Payments. As a condition of the license granted to You pursuant to this EULA, You shall pay LINKNACIONAL the amount(s) set forth in Your Pricing and Term Agreement in accordance with the payment terms contained therein.
// 
// 4.2	Refunds.  Refunds are only issued for software failure. Refunds are not issued for server failure/issues, lack of features or if Your hardware does not meet the Software Requirements. Refunds are determined on individual circumstances and only issued once LINKNACIONAL’s technical staff determines that LINKNACIONAL has a fault causing it to not run on Your hardware. Installation charges are not refundable under any circumstances. Refunds are not available after 1 month from purchase date.
// 
// 5.  Term and Termination.
// 
// 5.1	Term.  This Agreement shall be effective on the Effective Date and shall automatically expire at the end of the Term.
// 
// 5.2	Termination.  LINKNACIONAL may terminate this Agreement (a) in the event of Your breach of this Agreement (or a sublicensee’s breach of a provision of a Third Party User’s agreement relating to the Software or LINKNACIONAL) upon 30 days’ notice to You if such breach remains uncured after the expiration of the 30 day notice period;  (b) as set forth in Section 2.2; or (c) immediately without notice in the event of Your (or Your sublicensee’s material breach of this Agreement.  You acknowledge and agree that any breach by You (or any Third Party User) of the following provisions of the Agreement or any related provisions of a Third Party User’s agreement relating to LINKNACIONAL or the Software shall each constitute a material breach: (i) use of the Software in excess of the license grant in Section 2.1 (License Grant); (ii) any purported or attempted assignment, transfer, sale or other disposition or delegation of the Software in violation of Section 2 (License) or Section 9.8 (Assignment); (iii
// ) any violation of Section 2.3 (Restrictions of Use) including without limitation Section 2.3.4 (No Derivative Works; Reverse Engineering); (iv) any violation of Section 2.4 (Monitoring of Software) including without limitation any attempt, whether successful or not, to thwart, interfere with, circumvent or block the operation of any aspect of LINKNACIONAL’s monitoring of the Software; (v) any conduct inconsistent with the LINKNACIONAL IP Rights as set forth in Section 3 (Intellectual Property Rights); (vi) any breach of Section 4 (Payment); and (vii) any breach of Your warranties under Section 6.1 (Mutual Warranties).  Additionally, a material breach by You of any agreement or contract between You and LINKNACIONAL, including without limitation a breach of LINKNACIONAL’s Trademark Usage Policy, any applicable EULA, or the Technical Support Agreement shall be deemed a material breach of this Agreement and shall give rise to LINKNACIONAL’s right to terminate as set forth in this Section 5.2.  The foregoi
// ng list of material breaches is a nonexclusive list.
// 
// 5.3  	Effect of Termination.  Upon the expiration or termination of this Agreement for any reason, (a) You must destroy all copies of the Software, including any back-up copy; (b) You must uninstall or delete the Software from the Licensed Server; and (c) LINKNACIONAL may without notice and in its sole discretion terminate, suspend or disable access to the Software by You or any Third Party User.
// 
// 5.4	Survival.  Sections 1 (Definitions),  2.4 (Monitoring of Software), 3 (Intellectual Property Rights), 4 (Payments), 5 (Term and Termination), 6.3 (Disclaimer), 7 (Limitation on Liability), 8 (Indemnification) and 9 (Miscellaneous) shall survive the termination or expiration of this Agreement for any reason.
// 
// 6.  Warranties; Disclaimer.
// 
// 6.1	Mutual Warranties.  Each party hereto warrants to the other party that: (a) such party has the full right, power and authority to enter into this Agreement on behalf of itself and to undertake to perform the acts required of it hereunder; (b) the execution of this Agreement by such party, and the performance by such party of its obligations and duties to the extent set forth hereunder, do not and will not violate any agreement to which it is a party or by which it is otherwise bound; (c) when executed and delivered by such party, this Agreement will constitute the legal, valid and binding obligation of such party, enforceable against such party in accordance with its representations, warranties, terms and conditions; and (d) such party will comply with all Applicable Laws related to the use and installation of the Software and the performance of its obligations under this Agreement.
// 
// 6.2	Limited Warranty.  LINKNACIONAL warrants that, for a period of ninety days from the date of delivery of the Software, when used with a hardware and software configuration recommended by LINKNACIONAL, the Software will perform in substantial conformance with the documentation supplied with the Software.  The limited warranty in this Section 6.2 shall not apply (a) if Your version of the Software is a Beta Version; (b) if the Software has been altered in any way by a party other than LINKNACIONAL; (c) the Software’s third party components; or (d) if any failure or error arises out of use of the Software with anything other than a LINKNACIONAL recommended hardware and software configuration. Any misuse, accident, abuse, modification or misapplication of the Software will void the limited warranty in this Section 6.2.
// 
// 6.3	Disclaimer.  EXCEPT AS SET FORTH IN THE LIMITED WARRANTY OF SECTION 6.2, THE SOFTWARE LICENSED HEREUNDER IS PROVIDED "AS IS" AND LINKNACIONAL HEREBY DISCLAIMS ALL WARRANTIES OF ANY KIND, WHETHER EXPRESS OR IMPLIED, RELATING TO THE SOFTWARE, ITS THIRD PARTY COMPONENTS, AND ANY DATA ACCESSED THEREFROM, OR THE ACCURACY, TIMELINESS, COMPLETENESS, OR ADEQUACY OF THE SOFTWARE, ITS THIRD PARTY COMPONENTS, AND ANY DATA ACCESSED THEREFROM, INCLUDING THE IMPLIED WARRANTIES OF TITLE, MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.  LINKNACIONAL DOES NOT WARRANT THAT THE SOFTWARE OR ITS THIRD PARTY COMPONENTS ARE ERROR-FREE OR WILL OPERATE WITHOUT INTERRUPTION.  IF THE SOFTWARE, ITS THIRD PARTY COMPONENTS, OR ANY DATA ACCESSED THEREFROM IS DEFECTIVE, YOU ASSUME THE SOLE RESPONSIBILITY FOR THE ENTIRE COST OF ALL REPAIR OR INJURY OF ANY KIND, EVEN IF LINKNACIONAL HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DEFECTS OR DAMAGES.
// 
// 6.3.1	IF APPLICABLE LAW REQUIRES ANY WARRANTIES WITH RESPECT TO THE SOFTWARE, ALL SUCH WARRANTIES ARE LIMITED IN DURATION TO NINETY (90) DAYS FROM THE DATE OF DELIVERY OR THE MINIMUM ALLOWED DURATION UNDER SUCH APPLICABLE LAW.
// 
// 6.3.2	NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY LINKNACIONAL, ITS AFFILIATES, LICENSEES, DEALERS, SUB-LICENSORS, AGENTS OR EMPLOYEES SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF ANY WARRANTY PROVIDED IN SECTION 6.2.
// 
// 6.3.3	SOME JURISDICTIONS DO NOT ALLOW RESTRICTIONS ON IMPLIED WARRANTIES SO SOME OF THESE LIMITATIONS MAY NOT APPLY TO YOU.
// 
// 7.	 Limitation of Liability.
// 
// 7.1	Lost Profits; Consequential Damages.  TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, LINKNACIONAL WILL NOT BE LIABLE FOR ANY LOST PROFITS, COSTS OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, DAMAGES FOR THE INABILITY TO USE EQUIPMENT OR ACCESS DATA, BUSINESS INTERRUPTION, OR FOR ANY OTHER INDIRECT, SPECIAL, INCIDENTAL, PUNITIVE OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, HOWEVER CAUSED, AND UNDER WHATEVER CAUSE OF ACTION OR THEORY OF LIABILITY BROUGHT (INCLUDING, WITHOUT LIMITATION, UNDER ANY CONTRACT, NEGLIGENCE OR OTHER TORT THEORY OF LIABILITY) EVEN IF LINKNACIONAL HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
// 
// 7.2	Total Cumulative Liability; Exclusive Remedy.  EXCEPT FOR AMOUNTS OWED BY YOU TO LINKNACIONAL UNDER SECTION 4, TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, LINKNACIONAL’S AGGREGATE LIABILITY FOR DIRECT DAMAGES, UNDER THIS AGREEMENT (CUMULATIVELY) SHALL BE LIMITED TO THE TOTAL FEES COLLECTED BY LINKNACIONAL UNDER THIS AGREEMENT; PROVIDED, HOWEVER, THAT FOR ANY BREACH OF THE LIMITED WARRANTY OF SECTION 6.2 YOUR SOLE AND EXCLUSIVE REMEDY AND LINKNACIONAL’S ENTIRE LIABILITY SHALL BE FOR LINKNACIONAL, AT LINKNACIONAL’S ELECTION AND WITHIN ITS SOLE DISCRETION, TO USE ITS COMMERCIALLY REASONABLE ENDEAVOURS TO (A) SUPPLY YOU WITH A REPLACEMENT COPY OF THE SOFTWARE THAT SUBSTANTIALLY CONFORMS TO THE DOCUMENTATION INCLUDED WITH THE SOFTWARE; OR (B) REFUND TO YOU YOUR LICENSE FEE FOR THE SOFTWARE; PROVIDED THAT YOU REPORT ANY NON-COMPLIANCE WITH THE LIMITED WARRANTY OF SECTION 6.2 IN WRITING TO LINKNACIONAL NO MORE THAN NINETY (90) DAYS FOLLOWING DELIVERY OF THE SOFTWARE TO YOU.
// 
// 8.	 Indemnification.  You shall indemnify, defend and hold harmless LINKNACIONAL and its directors, officers, staff, employees agents, and affiliates and their respective successors, heirs and assigns and affiliates (and their its directors, officers, staff, employees and agents and their respective successors, heirs and assigns) (collectively, the “LINKNACIONAL Parties”) from and against any liability, damage, loss or expense (including reasonable lawyers’ fees and expenses of litigation) incurred by or imposed upon the LINKNACIONAL Parties or any one of them in connection with any claims, suits, actions, demands or judgments (“Claims”) related directly or indirectly to or arising out of (a) a breach of Your representations, warranties or obligations under this Agreement; (b) in the event that You sublicense the right to use the Software to any Third Party Users pursuant to Section 2.2 (Sublicensing), (c) a breach of a Third Party User’s representations, warranties or obligations under any provi
// sions in a Third Party User’s agreement relating to LINKNACIONAL or the Software; and (d) any Claims based upon or arising from any allegation that a Third Party User was harmed due to any termination, suspension or disabling of such user’s access to the Software by LINKNACIONAL pursuant to the terms and conditions of this Agreement; provided, however, that in any such case LINKNACIONAL or its affiliates, as applicable, (x) provide You with prompt notice of any such claim; (y) permit You to assume and control the defence of such action upon Your written notice to LINKNACIONAL of Your intention to indemnify; and (z) upon Your written request, and at no expense to LINKNACIONAL or its affiliates, provide to You all available information and assistance reasonably necessary for You to defend such claim.  You will not enter into any settlement or compromise of any such claim, which settlement or compromise would result in any liability to the LINKNACIONAL Parties, without LINKNACIONAL’s prior written consent
// , which will not unreasonably be withheld.  You will pay any and all costs, damages, and expenses, including, but not limited to, reasonable lawyers’ fees and costs awarded against or otherwise incurred by LINKNACIONAL or its affiliates in connection with or arising from any such claim.
// 
// 9.	 Miscellaneous.
// 
// 9.1	Force Majeure.  No party will be liable for any failure or delay in performance of any of its obligations hereunder if such delay is due to acts of God, fires, flood, storm, explosions, earthquakes, general Internet outages, acts of war or terrorism, riots, insurrection or intervention of any government or authority; provided, however, that any such delay or failure will be remedied by such party as soon as reasonably possible.  Upon the occurrence of a force majeure event, the party unable to perform will, if and as soon as possible, provide written notice to the other parties indicating that a force majeure event occurred and detailing how such force majeure event impacts the performance of its obligations.
// 
// 9.2	Independent Contractors.  It is the intention of the parties that LINKNACIONAL and You are, and will be deemed to be, independent contractors with respect to the subject matter of this Agreement, and nothing contained in this Agreement will be deemed or construed in any manner whatsoever as creating any partnership, joint venture, employment, agency, fiduciary or other similar relationship between LINKNACIONAL and You.
// 
// 9.3	Choice of Law; Venue; Jurisdiction.  This Agreement and any disputes or claims arising out of or in connection with its subject matter or formation (including non-contractual disputes and claims) are governed by and construed in accordance with the laws of England and Wales. The parties irrevocably agree that the courts of England have exclusive jurisdiction to settle any dispute or claim that arises out of or in connection with this Agreement or its subject matter or formation (including non-contractual disputes and claims).
// 
// 9.4	Entire Agreement.  This Agreement, together with all Exhibits hereto, represents the entire agreement between the parties with respect to the subject matter hereof and thereof and will supersede all prior agreements and communications of the parties, oral or written.
// 
// 9.5	Basis of Bargain.  Section 6.2 (Limited Warranty), Section 7 (Limitations on Liability; Exclusive Remedies) and Section 8 (Indemnification) are fundamental elements of the basis of the agreement between LINKNACIONAL and You and shall inure to the benefit of LINKNACIONAL.  LINKNACIONAL would not be able to provide the Software on an economic basis without such limitations.
// 
// 9.6	Severability.  If any provision of this Agreement is held to be invalid, illegal or unenforceable for any reason, such invalidity, illegality or unenforceability will not affect any other provisions of this Agreement, and this Agreement will be construed as if such invalid, illegal or unenforceable provision had never been contained herein.
// 
// 9.7	Amendment or Modification.  This Agreement is subject to change without prior notice from LINKNACIONAL. You shall be deemed to have accepted any changes or modifications by Your continuing use of the Software. Additionally, this Agreement may not be amended, modified, or supplemented by You in any manner, except by an instrument in writing signed and agreed to by LINKNACIONAL.
// 
// 9.8	Assignment.  This Agreement may not be assigned, transferred, delegated, sold or otherwise disposed of, including without limitation by operation of law, other than as expressly set forth in this Section 9.8.  This Agreement may be assigned, transferred, delegated, sold or otherwise disposed of in its entirety: (a) by LINKNACIONAL in its sole discretion; (b) by You with the prior written consent of LINKNACIONAL; and (c) as set forth in Section 2.2 (License Transfers).  In addition, LINKNACIONAL may delegate its performance under this Agreement in whole or in part to one or more affiliates, provided that LINKNACIONAL will remain liable and responsible for any performance or obligation so delegated.  A party’s permitted successors or assignees must agree as a condition precedent to any assignment, transfer or delegation to fully perform all applicable terms and conditions of this Agreement.  No party may assign this Agreement to any entity that lacks sufficient assets and resources to continue to perform
// , to contractually required standards, all assigned obligations for the remainder of the Term.  This Agreement will be binding upon and will inure to the benefit of a party’s permitted successors and assigns.  Any purported assignment, transfer, delegation, sale or other disposition in contravention of this Section 9.8, including without limitation by operation of law, is null and void.
// 
// 9.9	Waiver.  Any of the provisions of this Agreement may be waived by the party entitled to the benefit thereof.  No party will be deemed, by any act or omission, to have waived any of its rights or remedies hereunder unless such waiver is in writing and signed by the waiving party, and then only to the extent specifically set forth in such writing.  A waiver with reference to one event will not be construed as continuing or as a bar to or waiver of any right or remedy as to a subsequent event.
// 
// 9.10	Remedies Cumulative.  Except as expressly set forth herein, no remedy conferred upon the parties by this Agreement is intended to be exclusive of any other remedy, and each and every such remedy will be cumulative and will be in addition to any other remedy given hereunder or now or hereafter existing at law or in equity.
// 
// 9.11	No Third Party Beneficiaries.  Except for the provisions of Clause 8 which are intended to be enforceable by the Persons respectively referred to therein (each, a "Beneficiary") by virtue of the Contracts (Rights of Third Parties) Act 1999, the Parties do not intend that any term of this Agreement should be enforceable, by virtue of the Contracts (Rights of Third Parties) Act 1999, by any person who is not a party to this Agreement (including without limitation any Third Party Users). Notwithstanding the previous sentence, this Agreement may be terminated or varied in any way and at any time by the Parties without the consent of any Beneficiary.
// 
// 9.12	Notices.  All notices or questions relating to this Agreement shall be directed to: LINKNACIONAL, Inc., Attn: Legal Department, Rua Mal. Deodoro, 931 - Centro, Ribeirão Preto - SP, 14010-190, Brazil. Any notice required to be given under this Agreement shall be deemed given by LINKNACIONAL when sent to You by email, telephone, fax, or mail to the contact information supplied by You to LINKNACIONAL in the Pricing and Term Agreement.  You may update such information from time to time upon written notice to through the LINKNACIONAL Client Area. Any failure by You to provide LINKNACIONAL with updated contact information will not invalidate the effectiveness of any notice sent by LINKNACIONAL to the contact information previously supplied by You.
// 
// 9.13	Export Controls.  The parties agree to comply fully with all Applicable Laws, or of any foreign government to or from where a party is shipping, to in connection with the import, export or re-export, directly or indirectly, of the Software mentioned in this Agreement.
// 
// 9.14	Time-Limited Claims.  Regardless of any Applicable Law to the contrary, You agree that any claim or cause of action arising out of or related to the Software or this Agreement, must be filed within one year after such claim or cause of action arose or be forever barred.
if(extension_loaded('ionCube Loader')){die('The file '.__FILE__." is corrupted.\n");}echo("\nScript error: the ".(($cli=(php_sapi_name()=='cli')) ?'ionCube':'<a href="https://www.ioncube.com">ionCube</a>')." Loader for PHP needs to be installed.\n\nThe ionCube Loader is the industry standard PHP extension for running protected PHP code,\nand can usually be added easily to a PHP installation.\n\nFor Loaders please visit".($cli?":\n\nhttps://get-loader.ioncube.com\n\nFor":' <a href="https://get-loader.ioncube.com">get-loader.ioncube.com</a> and for')." an instructional video please see".($cli?":\n\nhttp://ioncu.be/LV\n\n":' <a href="http://ioncu.be/LV">http://ioncu.be/LV</a> ')."\n\n");exit(199);
?>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HR+cPsT7LYFCzgeKYPp306vuzHp/acxuufQntzWXUoRc+HUbCfSaZ0IuIsGkwLB0vAp828EQPh/z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