{extends "{$lkn_hn_layout_path}/layout/layout.tpl"}

{block "page_title"}
    {if $page_params.mode === 'edit'}
        {lkn_hn_lang text="Bulk message - #[1] [2]" params=[$page_params.bulk->id, $page_params.bulk->title]}
    {else}
        {lkn_hn_lang text="New bulk message" params=[$page_params.platform_title]}
    {/if}
{/block}

{block "page_content"}
    <style>
        #lkn-hn-new-bulk-form {
            max-width: 720px;
        }

        #lkn-hn-new-bulk-form input,
        #lkn-hn-new-bulk-form select {
            max-width: 300px;
        }

        #lkn-hn-new-bulk-form label {
            text-align: left !important;
        }

        #lkn-hn-new-bulk-form .panel-body {
            padding: 50px;
        }
    </style>

    <form
        id="lkn-hn-new-bulk-form"
        class="form-horizontal"
        target="_self"
        method="POST"
    >
        <div
            class="panel-group"
            id="accordion"
            role="tablist"
            aria-multiselectable="true"
        >
            {* STEP 1 *}

            <div class="panel panel-default">
                <div
                    class="panel-heading"
                    role="tab"
                    id="headingOne"
                >
                    <h4 class="panel-title">
                        <a
                            role="button"
                            data-toggle="collapse"
                            data-parent="#accordion"
                            href="#collapseOne"
                            aria-expanded="true"
                            aria-controls="collapseOne"
                        >
                            {lkn_hn_lang text="Details"}
                        </a>
                    </h4>
                </div>
                <div
                    id="collapseOne"
                    class="panel-collapse collapse in"
                    role="tabpanel"
                    aria-labelledby="headingOne"
                >
                    <div class="panel-body">
                        {if $page_params.mode === 'edit' && "now"|date_format:"%Y-%m-%d %H:%M:%S" >= $page_params.state->startAt->format('Y-m-d H:i:s')}
                            <div class="form-group">
                                <label
                                    for="title"
                                    class="col-sm-6 control-label"
                                >
                                    {lkn_hn_lang text="Progress"}
                                </label>
                                <div
                                    class="col-sm-6"
                                    style="display: flex; gap: 10px; align-items: start;"
                                >
                                    <div
                                        class="progress"
                                        style="flex-grow: 1;"
                                    >
                                        <div
                                            class="progress-bar"
                                            role="progressbar"
                                            aria-valuenow="{$page_params.bulk->progress}"
                                            aria-valuemin="0"
                                            aria-valuemax="100"
                                            style="width: {$page_params.bulk->progress}%;"
                                        >
                                            {$page_params.bulk->progress}%
                                        </div>
                                    </div>
                                    <button
                                        type="button"
                                        class="btn btn-link"
                                        style="padding: 0px; outline: none;"
                                        onclick="document.querySelector('#lkn-hn-new-bulk-form').submit()"
                                        data-toggle="tooltip"
                                        data-placement="top"
                                        title="{lkn_hn_lang text="Refresh progress"}"
                                    >
                                        <i class="far fa-sync-alt"></i>
                                    </button>
                                </div>
                            </div>

                            <div class="form-group">
                                <label
                                    for="status"
                                    class="col-sm-6 control-label"
                                >
                                    {lkn_hn_lang text="Status"}
                                </label>
                                <div class="col-sm-6">
                                    <select
                                        class="form-control"
                                        id="bulk-status"
                                        name="bulk-status"
                                        required
                                        {if $page_params.bulk->status->value !== 'in_progress'}
                                            disabled
                                        {/if}
                                        onchange="confirmStatusChange()"
                                        disabled
                                    >
                                        {foreach from=$page_params.field_options['bulk_message_status'] item=$status}
                                            {if $status['value'] !== 'completed' || $page_params.bulk->status->value === 'completed'}
                                                <option
                                                    {if $status['value'] === $page_params.bulk->status->value}
                                                        selected
                                                    {/if}
                                                    value="{$status['value']}"
                                                >
                                                    {$status['label']}
                                                </option>
                                            {/if}
                                        {/foreach}
                                    </select>

                                    <div>
                                        {if $page_params.state->status->value === 'in_progress'}
                                            <button
                                                type="button"
                                                class="btn btn-link btn-sm"
                                                onclick="document.getElementById('bulk-status').disabled = false"
                                            >
                                                <i class="fas fa-exchange-alt"></i>
                                                {lkn_hn_lang text="Change bulk status"}
                                            </button>
                                        {/if}
                                    </div>

                                    <script type="text/javascript">
                                        function confirmStatusChange() {
                                            const result = confirm("{lkn_hn_lang text='Are you sure? The changes will affect in progress notifications too.'}");

                                            if (result) {
                                                document.getElementById('lkn-hn-new-bulk-form').submit()
                                            }
                                        }
                                    </script>
                                </div>
                            </div>
                        {/if}

                        {* DATE TO SEND *}

                        <div class="form-group">
                            <label
                                for="date-to-send"
                                class="col-sm-6 control-label"
                            >
                                {lkn_hn_lang text="Start date"}
                            </label>
                            <div class="col-sm-6">
                                <input
                                    type="datetime-local"
                                    class="form-control"
                                    id="date-to-send"
                                    name="date-to-send"
                                    required
                                    {if $page_params.mode === 'edit'}disabled{/if}
                                    {if $page_params.state->startAt}
                                        value="{$page_params.state->startAt->format('Y-m-d\TH:i')}"
                                    {/if}
                                >

                                <script>
                                    document.addEventListener('DOMContentLoaded', () => {
                                        const input = document.getElementById('date-to-send');
                                        const now = new Date();

                                        const pad = num => String(num).padStart(2, '0');
                                        const localDatetime = [
                                            now.getFullYear(),
                                            pad(now.getMonth() + 1),
                                            pad(now.getDate())
                                        ].join('-') + 'T' + [
                                            pad(now.getHours()),
                                            pad(now.getMinutes() + 5)
                                        ].join(':');

                                        input.min = localDatetime;
                                    });
                                </script>

                            </div>
                        </div>

                        <hr>

                        {* TITLE *}

                        <div class="form-group">
                            <label
                                for="title"
                                class="col-sm-6 control-label"
                            >
                                {lkn_hn_lang text="Title"}
                            </label>
                            <div class="col-sm-6">
                                <input
                                    type="text"
                                    class="form-control"
                                    id="title"
                                    name="title"
                                    required
                                    value="{$page_params.state->title}"
                                    {if $page_params.mode === 'edit'}disabled{/if}
                                >
                            </div>
                        </div>

                        {* Description *}

                        <div class="form-group">
                            <label
                                for="description"
                                class="col-sm-6 control-label"
                            >
                                {lkn_hn_lang text="Description"}
                            </label>
                            <div class="col-sm-6">
                                <input
                                    type="text"
                                    class="form-control"
                                    id="description"
                                    name="description"
                                    required
                                    value="{$page_params.state->descrip}"
                                    {if $page_params.mode === 'edit'}disabled{/if}
                                >
                            </div>
                        </div>

                        {* Platform *}

                        <div class="form-group">
                            <div class="col-sm-6">
                                <label
                                    for="platform"
                                    class="control-label"
                                >
                                    {lkn_hn_lang text="Platform"}
                                </label>
                                <span class="help-block">
                                    {lkn_hn_lang text='Only available for Evolution and Baileys.'}
                                </span>
                            </div>
                            <div class="col-sm-6">
                                <select
                                    class="form-control"
                                    id="platform"
                                    name="platform"
                                    required
                                    {if $page_params.mode === 'edit'}disabled{/if}
                                >
                                    {foreach from=$page_params.field_options['platform_options'] item=$platform}
                                        <option
                                            {if $platform === $page_params.state->platform}
                                                selected
                                            {/if}
                                            value="{$platform->value}"
                                        >
                                            {$platform->label()}
                                        </option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>

                        {* MAX SIMULTANEUS SENDING *}

                        <div class="form-group">
                            <div class="col-sm-6">
                                <label
                                    for="max-concurrency"
                                    class="control-label"
                                >
                                    {lkn_hn_lang text="Max concurrency"}
                                </label>
                                <span class="help-block">
                                    {lkn_hn_lang text="Number of shots per cron cycle, normally 5 minutes. Enter limit 2 to 50."}
                                </span>
                            </div>
                            <div class="col-sm-6">
                                <input
                                    type="number"
                                    max="50"
                                    min="2"
                                    class="form-control"
                                    id="max-concurrency"
                                    name="max-concurrency"
                                    required
                                    {if condition}
                                        value="{$page_params.state->maxConcurrency}"
                                    {else}
                                        value="0"
                                    {/if}
                                    {if $page_params.mode === 'edit'}disabled{/if}
                                >
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            {* FILTERS *}

            <div class="panel panel-default">
                <div
                    class="panel-heading"
                    role="tab"
                    id="headingTwo"
                >
                    <h4 class="panel-title">
                        <a
                            class="collapsed"
                            role="button"
                            data-toggle="collapse"
                            data-parent="#accordion"
                            href="#collapseTwo"
                            aria-expanded="false"
                            aria-controls="collapseTwo"
                        >
                            {lkn_hn_lang text="Filters"}
                        </a>
                    </h4>
                </div>
                <div
                    id="collapseTwo"
                    class="panel-collapse collapse {if $page_params.mode !== 'edit'}in{/if}"
                    role="tabpanel"
                    aria-labelledby="headingTwo"
                >
                    <div class="panel-body">
                        {* CLIENT STATUS *}

                        <div class="form-group">
                            <label
                                for="client-status"
                                class="col-sm-6 control-label"
                            >
                                {lkn_hn_lang text="Client status"}
                            </label>
                            <div class="col-sm-6">
                                <select
                                    class="form-control"
                                    id="client-status"
                                    name="client-status[]"
                                    multiple
                                    {if $page_params.mode === 'edit'}disabled{/if}
                                >
                                    {foreach from=$page_params.field_options.whmcs_client_statuses item=$status}
                                        <option
                                            {if $page_params.state->filters['client_status'] && in_array($status['value'], $page_params.state->filters['client_status']) || empty($page_params.state->filters['client_status'])}
                                                selected
                                            {/if}
                                            value="{$status['value']}"
                                        >
                                            {$status['label']}
                                        </option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>

                        {* CLIENT LOCALE *}

                        <div class="form-group">
                            <label
                                for="client-locale"
                                class="col-sm-6 control-label"
                            >
                                {lkn_hn_lang text="Client language"}
                            </label>
                            <div class="col-sm-6">
                                <select
                                    class="form-control"
                                    id="client-locale"
                                    name="client-locale[]"
                                    multiple
                                    {if $page_params.mode === 'edit'}disabled{/if}
                                >
                                    {foreach from=$page_params.field_options.whmcs_client_lang item=$locale}
                                        <option
                                            {if $page_params.state->filters['client_locale'] && in_array($locale['locale_expanded'], $page_params.state->filters['client_locale']) || empty($page_params.state->filters['client_locale'])}
                                                selected
                                            {/if}
                                            value="{$locale['locale_expanded']}"
                                        >
                                            {$locale['label']}
                                        </option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>

                        {* CLIENT COUNTRY *}
                        <div class="form-group">
                            <label
                                for="client-country"
                                class="col-sm-6 control-label"
                            >
                                {lkn_hn_lang text="Client country"}
                            </label>
                            <div class="col-sm-6">
                                <select
                                    class="form-control"
                                    id="client-country"
                                    name="client-country[]"
                                    multiple
                                    {if $page_params.mode === 'edit'}disabled{/if}
                                >
                                    {foreach from=$page_params.field_options['whmcs_client_countries'] item=$country}
                                        <option
                                            {if $page_params.state->filters['client_country'] && in_array($country['value'], $page_params.state->filters['client_country']) || empty($page_params.state->filters['client_country'])}
                                                selected
                                            {/if}
                                            value="{$country['value']}"
                                        >
                                            {$country['label']}
                                        </option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>

                        <hr>
                        {* <div class="form-group">
                            <label class="col-sm-6 control-label">
                            </label>
                            <div class="col-sm-6">
                                <h2>
                                    <strong>
                                        {lkn_hn_lang text="[1] products matched"}
                                    </strong>
                                </h2>
                            </div>
                        </div> *}

                        {* SERVICES *}

                        <div class="form-group">
                            <label
                                for="services"
                                class="col-sm-6 control-label"
                            >
                                {lkn_hn_lang text="Services"}
                            </label>
                            <div class="col-sm-6">
                                <select
                                    class="form-control"
                                    id="services"
                                    name="services[]"
                                    multiple
                                    {if $page_params.mode === 'edit'}disabled{/if}
                                >
                                    {foreach from=$page_params.field_options['whmcs_products'] item=$product}
                                        <option
                                            {if $page_params.state->filters['services'] && in_array($product['value'], $page_params.state->filters['services']) || empty($page_params.state->filters['services'])}
                                                selected
                                            {/if}
                                            value="{$product['value']}"
                                        >
                                            {$product['label']}
                                        </option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>

                        {* SERVICE STATUS *}

                        <div class="form-group">
                            <label
                                for="service-status"
                                class="col-sm-6 control-label"
                            >
                                {lkn_hn_lang text="Service status"}
                            </label>
                            <div class="col-sm-6">
                                <select
                                    class="form-control"
                                    id="service-status"
                                    name="service-status[]"
                                    multiple
                                    {if $page_params.mode === 'edit'}disabled{/if}
                                >
                                    {foreach from=$page_params.field_options['whmcs_client_product_status'] item=$productStatus}
                                        <option
                                            {if $page_params.state->filters['service_status'] && in_array($productStatus['value'], $page_params.state->filters['service_status']) || empty($page_params.state->filters['service_status'])}
                                                selected
                                            {/if}
                                            value="{$productStatus['value']}"
                                        >
                                            {$productStatus['label']}
                                        </option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>

                        <hr>
                        {* <div class="form-group">
                            <label class="col-sm-6 control-label">
                            </label>
                            <div class="col-sm-6">
                                <h2>
                                    <strong>
                                        {lkn_hn_lang text="[1] clients matched"}
                                    </strong>
                                </h2>
                            </div>
                        </div> *}

                        {* CLIENTS *}
                        <div class="form-group">
                            <div class="col-sm-6">
                                <label
                                    for="client-ids"
                                    class="control-label"
                                >
                                    {lkn_hn_lang text="Selected clients"}
                                    {if isset($page_params.field_options['client_options'])}
                                        ({count($page_params.field_options['client_options'])})
                                    {/if}
                                </label>
                                {if $page_params.mode !== 'edit'}
                                    <span class="help-block">
                                        {lkn_hn_lang text="If none is specified, the notification will be sent to all matched clients."}
                                    </span>
                                {/if}
                            </div>
                            <div class="col-sm-6">
                                {if isset($page_params.field_options['client_options'])}
                                    {if empty($page_params.field_options['client_options'])}
                                        <p class="text-danger">{lkn_hn_lang text="No client matched the filters."}</p>
                                    {else}
                                        <select
                                            class="form-control"
                                            id="client-ids"
                                            name="client-ids[]"
                                            multiple
                                            {if $page_params.mode === 'edit'}disabled{/if}
                                        >
                                            {foreach from=$page_params.field_options['client_options'] item=$client}
                                                <option
                                                    {if $page_params.state->filters['client_ids'] && in_array($client['value'], $page_params.state->filters['client_ids']) || empty($page_params.state->filters['client_ids'])}
                                                        selected
                                                    {/if}
                                                    value="{$client['value']}"
                                                >
                                                    #{$client['value']} - {$client['label']}
                                                </option>
                                            {/foreach}
                                        </select>
                                    {/if}

                                {/if}
                                {if $page_params.mode !== 'edit'}
                                    <input
                                        name="get-matched-clients"
                                        value="1"
                                        type="hidden"
                                    />
                                    <button
                                        id="btn-view-matched-clients"
                                        type="button"
                                        class="btn btn-link"
                                    >
                                        {lkn_hn_lang text='View matched clients'}
                                    </button>

                                    <script type="text/javascript">
                                        document.getElementById('btn-view-matched-clients').addEventListener('click', () => {
                                            document.getElementById('lkn-hn-new-bulk-form').submit()
                                        })
                                    </script>
                                {/if}
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            {* Message *}

            <div class="panel panel-default">
                <div
                    class="panel-heading"
                    role="tab"
                    id="headingThree"
                >
                    <h4 class="panel-title">
                        <a
                            class="collapsed"
                            role="button"
                            data-toggle="collapse"
                            data-parent="#accordion"
                            href="#collapseThree"
                            aria-expanded="false"
                            aria-controls="collapseThree"
                        >
                            {lkn_hn_lang text="Message"}
                        </a>
                    </h4>
                </div>
                <div
                    id="collapseThree"
                    class="panel-collapse collapse {if $page_params.mode !== 'edit'}in{/if}"
                    role="tabpanel"
                    aria-labelledby="headingThree"
                >
                    <div
                        class="panel-body"
                        style="padding: 0px;"
                    >
                        <textarea
                            name="template"
                            id="template"
                            class="notif-body-input"
                            style="border-radius: 12px; padding: 12px; border: none; width: 100%; height: 300px; overflow-y: auto; max-height: 300px; resize: none; outline: none;"
                            placeholder="{lkn_hn_lang text='Type here...'}"
                            {* required *}
                            {if $page_params.mode === 'edit'}disabled{/if}
                        >{if $page_params.state}{$page_params.state->template}{/if}</textarea>
                    </div>
                </div>
            </div>


            {if $page_params.mode !== 'edit'}
                <div class="form-group">
                    <div class="col-sm-12">
                        <label class="control-label">
                            <h2>{lkn_hn_lang text='Available Parameters'}</h2>
                        </label>
                    </div>
                    <div class="col-sm-12">
                        {foreach from=$page_params.editing_notification->parameters->params item=$param}
                            <li
                                class="clickable-param list-group-item"
                                style="padding: 5px 10px; cursor: pointer;"
                            >
                                <i class="far fa-hand-pointer"></i>
                                {literal} {{ {/literal}
                                {$param->code}
                                {literal} }} {/literal}
                            </li>
                        {/foreach}
                    </div>
                </div>

                <script type="text/javascript">
                    const notifBodyInput = document.querySelector('.notif-body-input')

                    document.querySelectorAll(".clickable-param").forEach(element => {
                        element.addEventListener("click", function(event) {
                            const textToInsert = event.target.textContent.trim().replace(/\s+/g, '') + ' ';

                            const startPos = notifBodyInput.selectionStart;
                            const endPos = notifBodyInput.selectionEnd;

                            notifBodyInput.value = notifBodyInput.value.substring(0, startPos) +
                                textToInsert +
                                notifBodyInput.value.substring(endPos);

                            notifBodyInput.focus();
                            notifBodyInput.selectionStart = notifBodyInput.selectionEnd = startPos +
                                textToInsert
                                .length;
                        });
                    });
                </script>
            {/if}

            {if $page_params.mode === 'edit'}
                {include file="../components/bulk_messages.tpl"}
            {/if}

            {if $page_params.mode !== 'edit'}
                <div
                    class="form-group"
                    style="margin-top: 60px;"
                >
                    <div class="col-sm-12">
                        <button
                            type="submit"
                            class="btn btn-primary btn-block"
                            style="max-width: 160px; margin: 0 auto 0;"
                            onclick="return confirmSubmit()"
                            name="create-bulk"
                        >
                            {lkn_hn_lang text="Create Bulk Message"}
                        </button>

                        <script>
                            function confirmSubmit() {
                                return confirm("{lkn_hn_lang text="Are you sure? The bulk will become active in 5 minutes."}");
                            }
                        </script>
                    </div>
                </div>
            {/if}
        </div>
    </form>
{/block}
