{extends "../../layout.tpl"}
{$menuItem="admin.wp"}
{$page="admin.wp.index"}

{block "title"}
    {$lang->whatsapp_general_settings}
{/block}

{block "content"}
    <form
        class="form-horizontal"
        style="max-width: 850px;"
        method="POST"
        target="_self"
        action=""
    >

        <h2>{$lang->api_credentials}</h2>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->user_access_token}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->user_access_token_description}
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    id="user-access-token"
                    name="user-access-token"
                    class="form-control"
                    type="password"
                    value="{$user_access_token}"
                >
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->business_account_id}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->business_account_id_description}
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    id="business-account-id"
                    name="business-account-id"
                    class="form-control"
                    type="password"
                    required
                    value="{$business_account_id}"
                >
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->phone_number_id}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->phone_number_id_description}
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    id="_phone-number-id"
                    name="_phone-number-id"
                    class="form-control"
                    type="password"
                    required
                    value="{$phone_number_id}"
                >
            </div>
        </div>


        <hr>
        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->wp_version_config}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->wp_version_description}
                </span>
            </div>

            <div class="col-sm-5">
                <select
                    id="wp_select_version"
                    name="wp_select_version"
                    class="form-control"
                >
                    <option
                        value="v21.0"
                        {if $wpVersion == "v21.0"}
                            selected
                        {/if}
                    >
                        v21.0</option>
                    <option
                        value="v20.0"
                        {if $wpVersion == "v20.0"}
                            selected
                        {/if}
                    >v20.0</option>
                    <option
                        value="v19.0"
                        {if $wpVersion == "v19.0"}
                            selected
                        {/if}
                    >v19.0</option>
                    <option
                        value="v18.0"
                        {if $wpVersion == "v18.0"}
                            selected
                        {/if}
                    >v18.0</option>
                    <option
                        value="v17.0"
                        {if $wpVersion == "v17.0"}
                            selected
                        {/if}
                    >v17.0</option>
                    <option
                        value="v16.0"
                        {if $wpVersion == "v16.0"}
                            selected
                        {/if}
                    >v16.0</option>
                </select>
            </div>
        </div>
        <h2 style="margin-top: 35px;">{$lang->platform_settings}</h2>

        <hr>
        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->whatsapp_custom_field_id}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->whatsapp_custom_field_description}
                    <strong>
                        {$lang->whatsapp_custom_field_note}
                    </strong>
                </span>
            </div>

            <div class="col-sm-5">
                <select
                    id="wp-custom-field-id"
                    name="wp-custom-field-id"
                    class="form-control"
                >
                    <option value="use-whmcs-default-phone-field">{$lang->use_whmcs_default_phone_field}</option>
                    {foreach from=$customFieldsLabels item=customField}
                        {if {$customField->type === 'client'}}
                            <option
                                {($customField->id == $custom_field_id) ? 'selected' : ''}
                                value="{$customField->id}"
                            >
                                {$customField->id} - {$customField->label}
                            </option>
                        {/if}
                    {/foreach}
                </select>
            </div>
        </div>

        <h2 style="margin-top: 35px;">{$lang->notifications_settings}</h2>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->invoice_reminder}</label>
                <span class="help-block lknhn-help-block">
                    <p>
                        {$lang->invoice_reminder_description}
                    </p>
                </span>
            </div>

            <div class="col-sm-5 form-group">
                <div
                    class="col-xs-1"
                    style="margin-right: 8px;"
                >
                    <input
                        id="show-invoice-reminder-button"
                        name="show-invoice-reminder-button"
                        type="checkbox"
                        {($show_invoice_reminder_btn) ? 'checked' : ''}
                    >
                </div>
                <label
                    for="show-invoice-reminder-button"
                    style="font-weight: normal;"
                >{$lang->display_button_paid_invoices}</label>
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->ticket_answered_must_follow_custom_field}</label>
                <span class="help-block lknhn-help-block">
                    <p>
                        {$lang->ticket_answered_must_follow_custom_field_descrip}
                    </p>
                </span>
            </div>

            <div class="col-sm-5">
                <select
                    id="wp-use-ticket-whatsapp-cf-when-set"
                    name="wp-use-ticket-whatsapp-cf-when-set"
                    class="form-control"
                >
                    <option value="disabled">{$lang->use_client_phone_or_whatsapp_cf}</option>
                    {foreach from=$customFieldsLabels item=customField}
                        {if {$customField->type === 'support'}}
                            <option
                                {($customField->id == $wp_use_ticket_whatsapp_cf_when_set) ? 'selected' : ''}
                                value="{$customField->id}"
                            >
                                {$customField->id} - {$customField->label}
                            </option>
                        {/if}
                    {/foreach}
                </select>
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->wp_notification_template_language_settings}</label>
                <span class="help-block lknhn-help-block">
                    <p>
                        {$lang->wp_notification_template_language_settings_desc}
                    </p>
                </span>
            </div>

            <div class="col-sm-5">
                <select
                    id="whatsapp-default-template-language"
                    name="whatsapp-default-template-language"
                    class="form-control"
                >
                    <option
                        value="af"
                        {if {$language === 'af'}}selected{/if}
                    >Afrikaans</option>
                    <option
                        value="sq"
                        {if {$language === 'sq'}}selected{/if}
                    >Albanian</option>
                    <option
                        value="ar"
                        {if {$language === 'ar'}}selected{/if}
                    >Arabic</option>
                    <option
                        value="az"
                        {if {$language === 'az'}}selected{/if}
                    >Azerbaijani</option>
                    <option
                        value="bn"
                        {if {$language === 'bn'}}selected{/if}
                    >Bengali</option>
                    <option
                        value="bg"
                        {if {$language === 'bg'}}selected{/if}
                    >Bulgarian</option>
                    <option
                        value="ca"
                        {if {$language === 'ca'}}selected{/if}
                    >Catalan</option>
                    <option
                        value="zh_CN"
                        {if {$language === 'zh_CN'}}selected{/if}
                    >Chinese (CHN)</option>
                    <option
                        value="zh_HK"
                        {if {$language === 'zh_HK'}}selected{/if}
                    >Chinese (HKG)</option>
                    <option
                        value="zh_TW"
                        {if {$language === 'zh_TW'}}selected{/if}
                    >Chinese (TAI)</option>
                    <option
                        value="hr"
                        {if {$language === 'hr'}}selected{/if}
                    >Croatian</option>
                    <option
                        value="cs"
                        {if {$language === 'cs'}}selected{/if}
                    >Czech</option>
                    <option
                        value="da"
                        {if {$language === 'da'}}selected{/if}
                    >Danish</option>
                    <option
                        value="nl"
                        {if {$language === 'nl'}}selected{/if}
                    >Dutch</option>
                    <option
                        value="en"
                        {if {$language === 'en'}}selected{/if}
                    >English</option>
                    <option
                        value="en_GB"
                        {if {$language === 'en_GB'}}selected{/if}
                    >English (UK)</option>
                    <option
                        value="en_US"
                        {if {$language === 'en_US'}}selected{/if}
                    >English (US)</option>
                    <option
                        value="et"
                        {if {$language === 'et'}}selected{/if}
                    >Estonian</option>
                    <option
                        value="fil"
                        {if {$language === 'fil'}}selected{/if}
                    >Filipino</option>
                    <option
                        value="fi"
                        {if {$language === 'fi'}}selected{/if}
                    >Finnish</option>
                    <option
                        value="fr"
                        {if {$language === 'fr'}}selected{/if}
                    >French</option>
                    <option
                        value="de"
                        {if {$language === 'de'}}selected{/if}
                    >German</option>
                    <option
                        value="el"
                        {if {$language === 'el'}}selected{/if}
                    >Greek</option>
                    <option
                        value="gu"
                        {if {$language === 'gu'}}selected{/if}
                    >Gujarati</option>
                    <option
                        value="ha"
                        {if {$language === 'ha'}}selected{/if}
                    >Hausa</option>
                    <option
                        value="he"
                        {if {$language === 'he'}}selected{/if}
                    >Hebrew</option>
                    <option
                        value="hi"
                        {if {$language === 'hi'}}selected{/if}
                    >Hindi</option>
                    <option
                        value="hu"
                        {if {$language === 'hu'}}selected{/if}
                    >Hungarian</option>
                    <option
                        value="id"
                        {if {$language === 'id'}}selected{/if}
                    >Indonesian</option>
                    <option
                        value="ga"
                        {if {$language === 'ga'}}selected{/if}
                    >Irish</option>
                    <option
                        value="it"
                        {if {$language === 'it'}}selected{/if}
                    >Italian</option>
                    <option
                        value="ja"
                        {if {$language === 'ja'}}selected{/if}
                    >Japanese</option>
                    <option
                        value="kn"
                        {if {$language === 'kn'}}selected{/if}
                    >Kannada</option>
                    <option
                        value="kk"
                        {if {$language === 'kk'}}selected{/if}
                    >Kazakh</option>
                    <option
                        value="ko"
                        {if {$language === 'ko'}}selected{/if}
                    >Korean</option>
                    <option
                        value="lo"
                        {if {$language === 'lo'}}selected{/if}
                    >Lao</option>
                    <option
                        value="lv"
                        {if {$language === 'lv'}}selected{/if}
                    >Latvian</option>
                    <option
                        value="lt"
                        {if {$language === 'lt'}}selected{/if}
                    >Lithuanian</option>
                    <option
                        value="mk"
                        {if {$language === 'mk'}}selected{/if}
                    >Macedonian</option>
                    <option
                        value="ms"
                        {if {$language === 'ms'}}selected{/if}
                    >Malay</option>
                    <option
                        value="ml"
                        {if {$language === 'ml'}}selected{/if}
                    >Malayalam</option>
                    <option
                        value="mr"
                        {if {$language === 'mr'}}selected{/if}
                    >Marathi</option>
                    <option
                        value="nb"
                        {if {$language === 'nb'}}selected{/if}
                    >Norwegian</option>
                    <option
                        value="fa"
                        {if {$language === 'fa'}}selected{/if}
                    >Persian</option>
                    <option
                        value="pl"
                        {if {$language === 'pl'}}selected{/if}
                    >Polish</option>
                    <option
                        value="pt_BR"
                        {if {$language === 'pt_BR'}}selected{/if}
                    >Português (BR)</option>
                    <option
                        value="pt_PT"
                        {if {$language === 'pt_PT'}}selected{/if}
                    >Português (PT)</option>
                    <option
                        value="pa"
                        {if {$language === 'pa'}}selected{/if}
                    >Punjabi</option>
                    <option
                        value="ro"
                        {if {$language === 'ro'}}selected{/if}
                    >Romanian</option>
                    <option
                        value="ru"
                        {if {$language === 'ru'}}selected{/if}
                    >Russian</option>
                    <option
                        value="sr"
                        {if {$language === 'sr'}}selected{/if}
                    >Serbian</option>
                    <option
                        value="sk"
                        {if {$language === 'sk'}}selected{/if}
                    >Slovak</option>
                    <option
                        value="sl"
                        {if {$language === 'sl'}}selected{/if}
                    >Slovenian</option>
                    <option
                        value="es"
                        {if {$language === 'es'}}selected{/if}
                    >Spanish</option>
                    <option
                        value="es_AR"
                        {if {$language === 'es_AR'}}selected{/if}
                    >Spanish (ARG)</option>
                    <option
                        value="es_ES"
                        {if {$language === 'es_ES'}}selected{/if}
                    >Spanish (ESP)</option>
                    <option
                        value="es_MX"
                        {if {$language === 'es_MX'}}selected{/if}
                    >Spanish (MEX)</option>
                    <option
                        value="sw"
                        {if {$language === 'sw'}}selected{/if}
                    >Swahili</option>
                    <option
                        value="sv"
                        {if {$language === 'sv'}}selected{/if}
                    >Swedish</option>
                    <option
                        value="ta"
                        {if {$language === 'ta'}}selected{/if}
                    >Tamil</option>
                    <option
                        value="te"
                        {if {$language === 'te'}}selected{/if}
                    >Telugu</option>
                    <option
                        value="th"
                        {if {$language === 'th'}}selected{/if}
                    >Thai</option>
                    <option
                        value="tr"
                        {if {$language === 'tr'}}selected{/if}
                    >Turkish</option>
                    <option
                        value="uk"
                        {if {$language === 'uk'}}selected{/if}
                    >Ukrainian</option>
                    <option
                        value="ur"
                        {if {$language === 'ur'}}selected{/if}
                    >Urdu</option>
                    <option
                        value="uz"
                        {if {$language === 'uz'}}selected{/if}
                    >Uzbek</option>
                    <option
                        value="vi"
                        {if {$language === 'vi'}}selected{/if}
                    >Vietnamese</option>
                    <option
                        value="zu"
                        {if {$language === 'zu'}}selected{/if}
                    >Zulu</option>

                </select>
            </div>
        </div>

        <input
            type="hidden"
            name="update-index"
        >

        <div
            class="lknhn-btn-form-cont form-group"
            style="margin: 55px 0px;"
        >
            <button
                type="submit"
                class="btn btn-primary btn-sm"
                style="width: 200px;"
            >{$lang->save}</button>
        </div>
    </form>
{/block}